%define modname raphf
%define soname %{modname}.so
%define inifile B14_%{modname}.ini

Summary:	Resource and persistent handles factory
Name:		php-%{modname}
Version:	2.0.0
Release:	%mkrel 11
Group:		Development/PHP
License:	BSD
URL:		http://pecl.php.net/package/%{modname}
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
BuildRequires:	php-devel >= 3:7.3.0
Requires:	php >= 3:7.4.0
Requires:	php-common = 3:7.4

%description
A reusable split-off of pecl_http's persistent handle and resource factory API.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_includedir}/php/ext/%{modname}

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

install -m644 php_%{modname}.h %{buildroot}%{_includedir}/php/ext/%{modname}
install -m644 php_%{modname}_api.h %{buildroot}%{_includedir}/php/ext/%{modname}

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%files
%doc package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}
%{_includedir}/php/ext/%{modname}/php_%{modname}.h
%{_includedir}/php/ext/%{modname}/php_%{modname}_api.h


%changelog
* Thu Jun 18 2020 mokraemer <mokraemer> 2.0.0-11.mga7
+ Revision: 1595934
- Fix dependency
- backport for php 7.4
- backport php 7.4

* Tue Feb 18 2020 umeabot <umeabot> 2.0.0-10.mga8
+ Revision: 1538985
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 2.0.0-9.mga8
+ Revision: 1463538
+ rebuild (emptylog)

* Mon Oct 21 2019 mokraemer <mokraemer> 2.0.0-8.mga8
+ Revision: 1454927
- removed dirname

* Wed Dec 12 2018 mokraemer <mokraemer> 2.0.0-6.mga7
+ Revision: 1340453
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 2.0.0-5.mga7
+ Revision: 1325835
- updated requirements

* Sun Sep 23 2018 umeabot <umeabot> 2.0.0-4.mga7
+ Revision: 1300238
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 pterjan <pterjan> 2.0.0-3.mga7
+ Revision: 1217341
- Rebuild for php 7.2, it was built with old php on arm

* Sun Dec 03 2017 mokraemer <mokraemer> 2.0.0-2.mga7
+ Revision: 1181036
+ rebuild (emptylog)

* Sun Nov 12 2017 zezinho <zezinho> 2.0.0-1.mga7
+ Revision: 1177095
- new version

* Fri Mar 10 2017 rapsys <rapsys> 1.1.2-1.mga6
+ Revision: 1091508
- Fix ini numbering
- Fix license
- imported package php-raphf

